Get Agent by External ID

Gets an agent by an external ID at a specific external service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

The ID of the agent in the external service.

enum
required

The ID of the external service that the external_agent_id comes from.

string
required

Only return a agent that has a status equal to the defined status. This parameter may be specified multiple times to specify multiple allowed statuses. Defaults to allowing 'N' (Active) agents only.

string

The agent email address to search for if an agent is not found with a matching external_agent_id and external_service_id. This is useful for locating agents that already exist in the system without external ID mappings.

boolean

Whether or not to automatically create a mapping after a fallback search successfully locates a agent. This option only works when combined with the fallback_email parameter. This setting lets you effectively use this one request to search for an agent by an ID, search by email (if not found), and then save the mapping to the system (if missing). Defaults to false.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json